<template>
  <div class="plan-header">
    <a-input placeholder="Recherche par nom, code" allow-clear>
      <template #prefix>
        <search-outlined />
      </template>
    </a-input>
    <div class="plan-header--filter">
      <menu-outlined
        @click="onChangeFilter('bar')"
        :class="{ active: filter === 'bar' }"
        :style="{
          fontSize: '24px',
          color: '#7B7B7B',
        }"
      />
      <calendar-outlined
        @click="onChangeFilter('calendar')"
        :class="{ active: filter === 'calendar' }"
        :style="{
          fontSize: '24px',
          color: '#7B7B7B',
        }"
      />
    </div>
  </div>
</template>

<script setup lang="ts">
import {
  SearchOutlined,
  CalendarOutlined,
  MenuOutlined,
} from '@ant-design/icons-vue';
import { ref } from 'vue';
const emits = defineEmits(['change-filter']);
const filter = ref<string>('calendar');
const onChangeFilter = (filterName: string) => {
  filter.value = filterName;
  emits('change-filter', filter);
};
</script>
<script lang="ts">
export default {
  name: 'PlanListHeader',
};
</script>

<style lang="scss" scoped>
.plan-header {
  margin-top: 32px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  .ant-input-affix-wrapper {
    width: 320px;
    margin-top: 0;
  }
  .active {
    background: #fff;
    border-radius: 4px;
  }
  &--filter {
    padding: 4px 6px;
    height: 48px;
    width: 108px;
    background: var(--lighter-gray);
    border-radius: 4px;
    display: flex;
    span {
      display: flex;
      align-items: center;
      justify-content: center;
      width: 50%;
      height: 40px;
    }
  }
}
</style>
<style>
.plan-header .anticon.ant-input-clear-icon {
  margin: 0;
  color: #262626;
  font-size: 15px;
  vertical-align: -1px;
  cursor: pointer;
  transition: color 0.3s;
}
</style>
